Package com.independentsoft.office.odf.styles

# Enum Class VerticalPosition

java.lang.Object
java.lang.Enum<VerticalPosition>
com.independentsoft.office.odf.styles.VerticalPosition

All Implemented Interfaces:
  `Serializable`, `Comparable<VerticalPosition>`, `Constable`

public enum VerticalPosition extends Enum<VerticalPosition>
Represents the vertical alignment of a frame relative to a specific area.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BELOW`
  The top corner of the frame is positioned below the reference area.
  `BOTTOM`
  The bottom of the frame is aligned with the reference area.
  `FROM_TOP`
  The y attribute associated with the frame element specifies the vertical position of the frame.
  `MIDDLE`
  The middle of the frame is aligned with the reference area.
  `NONE`
  None.
  `TOP`
  The top of the frame is aligned with the reference area.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VerticalPosition`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static VerticalPosition[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOP

    public static final VerticalPosition TOP
    The top of the frame is aligned with the reference area.

  - ### MIDDLE

    public static final VerticalPosition MIDDLE
    The middle of the frame is aligned with the reference area.

  - ### BOTTOM

    public static final VerticalPosition BOTTOM
    The bottom of the frame is aligned with the reference area.

  - ### FROM_TOP

    public static final VerticalPosition FROM_TOP
    The y attribute associated with the frame element specifies the vertical position of the frame. Otherwise, the y attribute is ignored for text documents.

  - ### BELOW

    public static final VerticalPosition BELOW
    The top corner of the frame is positioned below the reference area.

  - ### NONE

    public static final VerticalPosition NONE
    None.

- ## Method Details

  - ### values

    public static VerticalPosition[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VerticalPosition valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null